Subject: Re: Loopback performance from kernel 2.6.12 to 2.6.37

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Sun, 12 Dec 2010 13:48:33 -0200

Em Wed, Nov 10, 2010 at 12:24:16PM +0100, Jesper Dangaard Brouer escreveu:
> > BUT perf top reveals that its probably related to the function
> > 'find_busiest_group' ... any kernel config hints how I get rid of that?
> 
> The 'find_busiest_group' seems to be an artifact of "perf top", if I use
> "perf record" then the 'find_busiest_group' function disappears.  Which
> is kind of strange, as 'find_busiest_group' seem the be related to
> sched_fair.c.
> 
> perf --version
> perf version 2.6.35.7.1.g60d9c

perf top does sytemwide sampling, while when you use 'perf record
./workload' its not systemwide.

Take a look at 'perf top --help' to see how to limit this to an existing
pid, tid, cpu list, etc.

- Arnaldo